{% extends 'base.html' %}

{% block content %}

<section class="section">
    <h5 class="section-title">Управление юзером</h5>
    <div class="col-sm-4">
      <table class="table table-sm user-info">
        <thead>
          <tr>
            <th scope="row">ID</th>
            <td>{{ user['id'] }}</td>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td scope="row">Chat ID</td>
            <td>{{ user['chat_id'] }}</td>
          </tr>
          <tr>
            <td scope="row">Referer ID</td>
            <td>{{ user['referer_id'] }}</td>
          </tr>
          <tr>
            <td scope="row">Username</td>
            <td>{{ user['username'] }}</td>
          </tr>
          <tr>
            <td scope="row">Balance</td>
            <td>{{ user['balance'] }}</td>
          </tr>
          <tr>
            <td scope="row">Доступ к боту</td>
            <td>{{ user['bot_access'] }}</td>
          </tr>
          <tr>
            <td scope="row">Доступ к сигналам</td>
            <td>{{ user['signals_access'] }}</td>
          </tr>
          <tr>
            <td scope="row">Доступ к зонам</td>
            <td>{{ user['zones_access'] }}</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h5>Настройки пользователя</h5>
    <form id="update-user-balance">
      <div class="mb-3">
        <label for="balance" class="form-label">Баланс</label>
        <input type="number" name="balance" class="form-control" id="balance" value="{{ user['balance'] }}" required>
      </div>
      <input type="hidden" name="id" value="{{ user['id'] }}">
      <button type="submit" class="btn btn-primary">Сохранить</button>
      <div class="form-error"></div>
      <div class="form-success"></div>
    </form>
    <h5>Доступы</h5>
    <form action="" id="change_access">
      <div class="row">
        <div class="col-2">
          <p>Торговый бот:</p>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="bot_access" value="on" id="flexRadioDefault1" {% if user['bot_access'] %} checked {% endif %}> 
            <label class="form-check-label" for="flexRadioDefault1">
              True
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="bot_access" value="off" id="flexRadioDefault2" {% if not user['bot_access'] %} checked {% endif %}>
            <label class="form-check-label" for="flexRadioDefault2">
              False
            </label>
          </div>
        </div>
        <div class="col-2">
          <p>Сигналы:</p>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="signals_access" value="on" id="flexRadioDefault3" {% if user['signals_access'] %} checked {% endif %}> 
            <label class="form-check-label" for="flexRadioDefault3">
              True
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="signals_access" value="off" id="flexRadioDefault4" {% if not user['signals_access'] %} checked {% endif %}>
            <label class="form-check-label" for="flexRadioDefault4">
              False
            </label>
          </div>
        </div>
        <div class="col-2">
          <p>Зоны:</p>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="zones_access" value="on" id="flexRadioDefault5" {% if user['zones_access'] %} checked {% endif %}> 
            <label class="form-check-label" for="flexRadioDefault5">
              True
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="zones_access" value="off" id="flexRadioDefault6" {% if not user['zones_access'] %} checked {% endif %}>
            <label class="form-check-label" for="flexRadioDefault6">
              False
            </label>
          </div>
        </div>
      </div>
      <br>
      <input type="hidden" name="id" value="{{ user['id'] }}">
      <button type="submit" class="btn btn-primary">Сохранить</button>
      <div class="form-error"></div>
      <div class="form-success"></div>
    </form>
    <br><h5>Продление</h5>
    <form action="" id="prolong-form">
      <div class="mb-3">
        <div class="col-3">
          <p><label for="">Продлить</label></p>
          <select class="form-select" name="prolong" aria-label=".form-select example">
            <option value="bot_access" selected>Торгового бота</option>
            <option value="signals_access">Сигналы</option>
            <option value="zones_access">Зоны</option>
          </select>
          <p><label for="">на</label></p>
          <div class="mb-3">
            <input type="text" class="form-control" placeholder="1" name="days" required>
          </div>
          <p><label for="">дней</label></p>
          <input type="hidden" name="id" value="{{ user['id'] }}">
          <button type="submit" class="btn btn-primary">Сохранить</button>
          <div class="form-error"></div>
          <div class="form-success"></div>
        </div>
      </div>
    </form>
    <!-- <form id="update-user-balance">
      <div class="mb-3">
        <label for="balance" class="form-label">Баланс</label>
        <input type="number" name="balance" class="form-control" id="balance" value="{{ user['balance'] }}" required>
      </div>
      <div class="mb-3">
        <label for="tool" class="form-label">Доступы</label>
        <input type="text" name="tool" class="form-control" id="tool" value="{{ config['tool'] }}" required>
      </div>
      <button type="submit" class="btn btn-primary">Обновить</button><br><br>
      <a href="#" onclick="window.close();">Назад</a>
      <input type="hidden" name="id" value="{{ user['id'] }}">
      <div class="form-error"></div>
      <div class="form-success"></div>
    </form> -->
</section>

{% endblock %}